WMFORKPLOP(1)

NAME
wmforkplop - Monitors forking activity and displays top CPU consuming processes.

SYNOPSIS
wmforkplop [options]

DESCRIPTION
wmforkplop is a program that monitors the forking activity of the kernel and displays a list of the most CPU-consuming processes. Although primarily aimed at Windowmaker, it will run on any window manager, either as a dockapp or as a standard X11 application.

  Option list:

-h, --help
    print this.

-v, --verbose
    increase verbosity

-V, --version
    print version

--fontpath path add a new directory to the font search directory list

    default: --fontpath=/usr/share/fonts/truetype (and subdirectories)

--fontpath=/usr/share/fonts/ttf
    (and subdirectories)

--fontpath=$HOME/.fonts
    (and subdirectories)

--font
    fontname/size Set the 'small font' name/size in pixel (default: --smallfont=Vera/6 The font name are case-sensitive, and must correspound to the name of a .ttf file which can be found in one of the fontpaths By default, wmforkplop tries to load the following fonts:

    * Vera/6, DejaVuSansMono/6, Andale_Mono/6, Verdana/6, Trebuchet_MS/7

-c n, --colormap=n

    select colormap number n (0 <= n <= 5)

-g[=WxH+x+y], --geometry[=WxH+x+y]

    start in window (i.e. undocked) mode with specified geometry (i.e -g 96x32 or -g 64x64+0+0)

--32, --48, --56

    start in a reduced dockapp, for people whose dock is too small too contain 64x64 dockapps

--no-top

    disable the wmtop feature, you will only see the fork animation.

--no-fork

    disable the fork animation, you will only see the list of top processes.

--threshold=n

    minimum CPU consumption (%) of a process listed in the top-list (default 3%)

-u n, --proc-update-delay=n

    set the delay between two reads of /proc, the default is 150 (milliseconds). Setting a small value gives accurate results, but consumes more CPU as reading /proc is quite expensive.

See /usr/share/doc/wmforkplop/README.gz for more details.

AUTHOR
This manual page was generated using help2man and edited by Varun Hiremath <varun@debian.org>, for the Debian project (but may be used by others).